using Godot;

[GlobalClass]
public partial class ChannelPlayer : Node
{
	[Export] private ChannelSettings settings;
	[Export] private AudioStream audioStream;
	[Export] private string channel;

	public void Play()
	{
		AudioSequencer.Play(channel, audioStream);
		if (settings != null)
			AudioSequencer.ChangeSettings(channel, settings);
	}
}
